Bug 1999292 - "System projects" does not align with the docs terminology, which uses "default projects"
Summary: "System projects" does not align with the docs terminology, which uses "defau...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Samuel Padgett
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-30 19:37 UTC by Samuel Padgett
Modified: 2021-10-18 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.9.0-0.nightly-2021-08-29-010334 Cluster ID: f307837d-c4f3-417e-adde-cfe69934cb7f Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:91.0) Gecko/20100101 Firefox/91.0
Last Closed: 2021-10-18 17:49:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Still default are called System (194.52 KB, image/png)
2021-09-02 21:02 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9931 0 None None None 2021-08-30 19:46:17 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:11 UTC

Description Samuel Padgett 2021-08-30 19:37:15 UTC
See the docs topic here:

https://docs.openshift.com/container-platform/4.8/authentication/using-rbac.html#rbac-default-projects_using-rbac

We should use the term "default projects" in the projects dropdown filter to align with the docs terminology.

Comment 3 Siva Reddy 2021-09-02 21:02:40 UTC
Created attachment 1820158 [details]
Still default are called System

Still system is used for default. Not all places are updated. Please find attached screen shot


ClusterVersion:
  4.9.0-0.nightly-2021-09-01-193941

Steps to reproduce:
 1. go to Home>projects or Administration>Namespace
 2. Click on filter drop down
 
   The "default" projects are still categorized as "system"

Comment 4 Samuel Padgett 2021-09-03 14:01:34 UTC
We purposely left the project list as is since the filter is for "requester." "Requester: default" does not make sense. This change *only* is meant to apply to the project dropdown. Moving back ON_QA.

Comment 5 Samuel Padgett 2021-09-03 14:02:17 UTC
See https://github.com/openshift/console/pull/9931#issuecomment-908648684

We might look at this in a follow up, but it would require some rework of the filters so that requested and default projects have separate filter groups.

Comment 6 Yadan Pei 2021-09-06 01:04:40 UTC
Moving the bug to VERIFIED since the projects/namespaces list filter still using 'system' is working as expected currently, we may fix it in a follow on PR

Comment 9 errata-xmlrpc 2021-10-18 17:49:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.